crm.ProjetWeb/Controllers/PackProductController.cs
using crm.Data.infrastructure;
using crm.Domain.Entity;
using crm.Services;
using crm.ServicesPattern;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;

namespace crm.ProjetWeb.Controllers
{

   
    public class PackProductController : Controller
    {
        IPackProductService Service = new PackProductService();

        // GET: PackProduct
        public ActionResult Index()
        {
            IDataBaseFactory Factory = new DataBaseFactory();
            IUnitOfWork Uok = new UnitOfWork(Factory);
            IService<PackProduct> ProService = new Service<PackProduct>(Uok);

            return View(ProService.GetAll().ToList());
        }







        // GET: PackProduct/Details/5
        public ActionResult Details(int id)
        {
            PackProduct cm = new PackProduct();
            cm = Service.GetById(id);
            PackProduct c = new PackProduct();


            c.ProduitId = cm.ProduitId;
            c.PackId = cm.PackId;


            return View(c);
        }








        // GET: PackProduct/Create
        public ActionResult Create()
        {
            IProduitService m = new ProduitService();


            var listDesProduits = m.GetAll();


            ViewBag.listDesProduits = new SelectList(listDesProduits, "ProduitId", "nomProd");




            IPackService p = new PackService();


            var listDesPack = p.GetAll();


            ViewBag.listDesPack = new SelectList(listDesPack, "PackId", "NomPack");



            return View();
        }











        // POST: PackProduct/Create
        [HttpPost]
        public ActionResult Create(PackProduct pro, HttpPostedFileBase Image)
        {
            Service.Add(pro);
            Service.Commit();





            return RedirectToAction("Index");
        }





        // GET: PackProduct/Edit/5
        public ActionResult Edit(int id)
        {
            IProduitService m = new ProduitService();


            var listDesProduits = m.GetAll();


            ViewBag.listDesProduits = new SelectList(listDesProduits, "ProduitId", "nomProd");




            IPackService p = new PackService();


            var listDesPack = p.GetAll();


            ViewBag.listDesPack = new SelectList(listDesPack, "PackId", "NomPack");

            if (id == null)

                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            PackProduct p0 = Service.GetById(id);
            PackProduct p1 = new PackProduct();
            {

                p1.PackId = p0.PackId;
                p1.ProduitId = p0.ProduitId;
                

            };
            if (p == null)
                return HttpNotFound();
            return View(p1);

            return RedirectToAction("Index");
        }






        // POST: PackProduct/Edit/5
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(int id, PackProduct pr)
        {
            try
            {
                if (ModelState.IsValid)
                {
                    if (id == null)
                        return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
                    PackProduct p = Service.GetById(id);


                    p.ProduitId = pr.ProduitId;
                    p.PackId = pr.PackId;
                    


                    if (p == null)
                        return HttpNotFound();

                    Service.Update(p);
                    Service.Commit();
                    // Service.Dispose();

                    return RedirectToAction("Index");
                }
                // TODO: Add delete logic here
                //  return View(ovm);

            }
            catch
            {
                return View("Index");
            }
            return null;
        }

        // GET: PackProduct/Delete/5
        public ActionResult Delete(int id)
        {
            return View();
        }

        // POST: PackProduct/Delete/5
        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            PackProduct e;
            e = Service.GetById(id);

            Service.Delete(e);
            Service.Commit();
            //Service.dispose();

            return RedirectToAction("Index");
        }
    }
}

crm.ProjetWeb/Views/PackProduct/Create.cshtml
@model crm.Domain.Entity.PackProduct

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}

<h2>Create</h2>


@using (Html.BeginForm("Create", "PackProduct", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>PackProduct</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.ProduitId, "ProduiId", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("ProduitId", (SelectList)ViewData["listDesProduits"], htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.ProduitId)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.PackId, "PackId", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("PackId", (SelectList)ViewData["listDesPack"], htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.PackId)
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

crm.ProjetWeb/Views/PackProduct/Delete.cshtml
@model crm.Domain.Entity.PackProduct

@{
    ViewBag.Title = "Delete";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}

<h2>Delete</h2>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>PackProduct</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.pack.NomPack)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.pack.NomPack)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.produit.nomProd)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.produit.nomProd)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default" /> |
            @Html.ActionLink("Back to List", "Index")
        </div>
    }
</div>

crm.ProjetWeb/Views/PackProduct/Details.cshtml
@model crm.Domain.Entity.PackProduct

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}

<h2>Details</h2>

<div>
    <h4>PackProduct</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.pack.NomPack)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.pack.NomPack)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.produit.nomProd)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.produit.nomProd)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { /* id = Model.PrimaryKey */ }) |
    @Html.ActionLink("Back to List", "Index")
</p>

crm.ProjetWeb/Views/PackProduct/Edit.cshtml
@model crm.Domain.Entity.PackProduct

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}

<h2>Edit</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>PackProduct</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.ProduitId)

        @Html.HiddenFor(model => model.PackId)

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

crm.ProjetWeb/Views/PackProduct/Index.cshtml
@model IEnumerable<crm.Domain.Entity.PackProduct>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.pack.NomPack)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.produit.nomProd)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.pack.NomPack)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.produit.nomProd)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { /* id=item.PrimaryKey */ }) |
            @Html.ActionLink("Details", "Details", new { /* id=item.PrimaryKey */ }) |
            @Html.ActionLink("Delete", "Delete", new { /* id=item.PrimaryKey */ })
        </td>
    </tr>
}

</table>